AWS IoT Device SDK C++ v2: Aws::Iotjobs::JobExecutionSummary Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotjobs::JobExecutionSummary Class Referencefinal

`#include <JobExecutionSummary.h>`

## Public Member Functions
| JobExecutionSummary ()=default
| JobExecutionSummary (const Crt::JsonView &doc)
JobExecutionSummary & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< Aws::Crt::DateTime > | LastUpdatedAt
Aws::Crt::Optional< int64_t > | ExecutionNumber
Aws::Crt::Optional< Aws::Crt::DateTime > | StartedAt
Aws::Crt::Optional< int32_t > | VersionNumber
Aws::Crt::Optional< Aws::Crt::String > | JobId
Aws::Crt::Optional< Aws::Crt::DateTime > | QueuedAt

## Detailed Description

Contains a subset of information about a job execution.

## Constructor & Destructor Documentation

## ◆ JobExecutionSummary() [1/2]

Aws::Iotjobs::JobExecutionSummary::JobExecutionSummary | ( |  | ) |
| default

## ◆ JobExecutionSummary() [2/2]

Aws::Iotjobs::JobExecutionSummary::JobExecutionSummary | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

JobExecutionSummary & Aws::Iotjobs::JobExecutionSummary::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotjobs::JobExecutionSummary::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ ExecutionNumber

Aws::Crt::Optional<int64_t> Aws::Iotjobs::JobExecutionSummary::ExecutionNumber

A number that identifies a job execution on a device.

## ◆ JobId

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotjobs::JobExecutionSummary::JobId

The unique identifier you assigned to this job when it was created.

## ◆ LastUpdatedAt

Aws::Crt::Optional<Aws::Crt::DateTime> Aws::Iotjobs::JobExecutionSummary::LastUpdatedAt

The time when the job execution was last updated.

## ◆ QueuedAt

Aws::Crt::Optional<Aws::Crt::DateTime> Aws::Iotjobs::JobExecutionSummary::QueuedAt

The time when the job execution was enqueued.

## ◆ StartedAt

Aws::Crt::Optional<Aws::Crt::DateTime> Aws::Iotjobs::JobExecutionSummary::StartedAt

The time when the job execution started.

## ◆ VersionNumber

Aws::Crt::Optional<int32_t> Aws::Iotjobs::JobExecutionSummary::VersionNumber

The version of the job execution. Job execution versions are incremented each time the AWS IoT Jobs service receives an update from a device.

The documentation for this class was generated from the following files:

- jobs/include/aws/iotjobs/JobExecutionSummary.h
- jobs/source/JobExecutionSummary.cpp